## mintupdate 5.5.4.2

=== debian/changelog ===
mintupdate (5.5.4.2) tina; urgency=medium

  * KernelWindow: Fix exception when kernel EOL tag isn't specified

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 20:56:17 +0100

mintupdate (5.5.4.1) tina; urgency=medium

  * Threading and status icon fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Sep 2019 12:15:26 +0100

mintupdate (5.5.4) tina; urgency=medium

  * Remove Python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 12:48:40 +0200

mintupdate (5.5.3) tina; urgency=medium

  * Kernel window: Fix exception when ACTIVE_KERNEL_VERSION isn't defined

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 03 Aug 2019 11:39:09 +0200

mintupdate (5.5.2) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:41:01 +0200

mintupdate (5.5.1) tina; urgency=medium

  * Change self-updating label
  * l10n: Update POT
  * Systray: Set tray icon before refresh thread

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:34:55 +0200

mintupdate (5.5.0) tina; urgency=medium

  * Fix warning dialog not shown in kernel window
  * Kernelwindow: Remove unnecessary use of CSS style context
  * Kernelwindow: Fix multithreading issues

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jul 2019 14:05:55 +0200

mintupdate (5.4.9) tina; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 12:42:04 +0200

mintupdate (5.4.8) tina; urgency=medium

  [ gm10 ]
  * Prevent extraneous blank lines on error status (#443)
  * Fix Gtk.MessageDialog "transient parent" issues (#449)
  * Kernelwindow: center on main window (#458)
  * kernelwindow: Reverse sort Remove old kernels (#450)
  * checkWarnings.py: Fix indentation, coding style (#466)

  [ Clement Lefebvre ]
  * CheckWarnings: Fix package names appearing more than once

  [ gm10 ]
  * Allow blacklisting a specific version (#421)

  [ Clement Lefebvre ]
  * l10n: Rephrase msgids for blacklist options

  [ gm10 ]
  * Fix "Hide after applying updates" option (#430)
  * Fix "Always show kernel updates" behaviour (#428)
  * Handle dpkg lock via fuser, remove existing process based detection code (#446)
  * Preferences and automation rework (#416)

  [ Clement Lefebvre ]
  * Small fixes to the previous commit

  [ gm10 ]
  * kernelwindow: Support installed kernels of different types (#434)

  [ Clement Lefebvre ]
  * Inject the app version during the build
  * Remove unused import
  * Fix generate_desktop_files

  [ gm10 ]
  * Revert remaining part of f0829ac04b559a76fed0639bf5590f80bd78bd8d, which is incompatible with my kernel window patches (#480)
  * Add issue templates
  * Automatically refresh Update Manager when the package cache is changed (#441)
  * Point to "apt update" on release information change (#453)
  * Assorted fixes (#454)
  * checkAPT: Only run mintinstall-update-pkgcache when root (#445)
  * Add manual pages (#468)
  * Prevent right-click blacklisting PRIORITY_UPDATES (#473)
  * Fix lsb_release calls (#477)
  * Rewrite Logger (#475)

  [ Clement Lefebvre ]
  * Fix datetime.now() calls

  [ gm10 ]
  * Add simple reboot notification for kernel updates (#478)

  [ Clement Lefebvre ]
  * Remove debug and indentation leftover

  [ gm10 ]
  * Information window use new Logger.read function (#476)
  * Refactor information window for compatibility with current Gtk version, also make read-only. (#486)
  * alias kernel updates only if meta or at least 3 packages in update (#464)
  * Fix root refresh creating root owned files and on LMDE ignoring settings (#472)
  * Always show all applicable infobars, and all infobars to use show_infobar function (#479)

  [ Clement Lefebvre ]
  * Fix infobar icon

  [ gm10 ]
  * Rework kernel/meta recommendation logic (#456)
  * Remove old kernels: Only pre-select kernels older than the current one (#482)
  * APT policy check: Reword error message when Mint layer wasn't found, (#483)
  * Preferences: Run recurring refresh timer based on last refresh time, (#462)
  * Change datetime import
  * Change kernelwindow.py as well
  * Properly escape markup in updates listing (#489)
  * Drop unnecessary except variables (#488)
  * Add distribution end of life warning and status (#459)
  * Kernelwindow: Add optional kernel flavour selector (#457)
  * Add Packages tab and move package listing from descriptions tab there (#467)
  * Fix generic blacklisting of kernel packages (#490)

  [ Clement Lefebvre ]
  * Revert "Fix root refresh creating root owned files and on LMDE ignoring settings (#472)"

  [ gm10 ]
  * Fix changelog retrieval in last commit (#491)
  * Kernelwindow: Automatically remove left-over meta-packages (#455)

  [ Clement Lefebvre ]
  * Remove levels (#492)
  * Add CI and dummy test (#493)
  * Split APT cache refresh away from checkAPT (#496)

  [ gm10 ]
  * Remove count from package list to avoid launchpad translation issues (#494)

  [ Clement Lefebvre ]
  * Remove obsolete options
  * l10n: Update POT

  [ gm10 ]
  * Improve mint-refresh-cache (#497)

  [ Clement Lefebvre ]
  * Fix checkbox alignments in preferences.ui
  * Improve timeshift check

  [ gm10 ]
  * Fix logging errors and make small optimizations (#498)
  * Fix checkWarnings still using removed dist-upgrade setting (#500)
  * Preferences: Blacklist add separate version entry and descriptive labels (#502)
  * CacheWatcher pause/resume changes in interaction with refresh and install threads (#505)
  * Kernel window: Greatly speed up load times (#508)
  * Change question-type infobars to Yes/No buttons (#513)
  * Kernel window: Automatically show flavour selector while multiple flavours are installed (#512)
  * Normalize capitalization according to GNOME style guidelines (#514)
  * Kernel window: Add support for queueing actions (#509)
  * Simplify refresh subprocesses commands, do not  spawn a shell, do not use deprecated method (#503)


=== debian/control ===
Source: mintupdate
Section: admin
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               python3,
               dh-python
Standards-Version: 3.9.5

Package: mintupdate
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 lsb-release,
 apt,
 cron,
 distro-info-data,
 psmisc,
 python3-apt,
 python3-pycurl,
 python3-setproctitle,
 python3-xapp (>= 1.6),
 synaptic,
 mint-mirrors,
 mint-upgrade-info,
 python3-xapp (>= 1.0.1),
 gir1.2-appindicator3-0.1
Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Description: The Linux Mint Update Manager
 Helps installing security updates and new versions of packages.

## mintupdate 5.5.9

=== debian/changelog ===
mintupdate (5.5.9) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:00:40 +0000

mintupdate (5.5.8) tricia; urgency=medium

  * mint-refresh-cache: Catch exceptions
  * l10n: Update translations
  * l10n: Generate files
  * Packaging: Depend on gir1.2-xapp-1.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:28:19 +0000

mintupdate (5.5.7) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:35:01 +0000

mintupdate (5.5.6) tricia; urgency=medium

  * KernelWindow: Fix exception when kernel EOL tag isn't specified

 -- Clement Lefebvre <clem@mintbox3>  Wed, 13 Nov 2019 20:58:00 +0100

mintupdate (5.5.5) tricia; urgency=medium

  [ Clement Lefebvre ]
  * Indicator: Add support for tooltip

  [ Michael Webster ]
  * Simplify hiding/showing the main window, and make behavior more (#565)
  * mintUpdate.py: Fix visibility of menu items in the window.
  * mintUpdate.py: Add a way to terminate mintupdate from the window's file menu.

  [ Clement Lefebvre ]
  * Implement support for XAppStatusIcon (#567)
  * Remove timeshift check
  * Remove distribution EOL checks

  [ MrBesen ]
  * Fixed typo (#577)

  [ Michael Webster ]
  * mintUpdate.py: Improve reliability of window raising when clicking the status icon.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 13:04:11 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
  mint-mirrors,
  mint-upgrade-info,
  python3-xapp (>= 1.0.1),
- gir1.2-appindicator3-0.1
+ gir1.2-appindicator3-0.1,
+ gir1.2-xapp-1.0
 Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
 Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
 Description: The Linux Mint Update Manager

## mintupdate 5.8.4

=== debian/changelog ===
mintupdate (5.8.4) vanessa; urgency=medium

  [ Michael Webster ]
  * postinst: Be sure the upgrade and autoremove services are disabled.

  [ Clement Lefebvre ]
  * Revert "Bump debhelper version."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 21:52:28 +0200

mintupdate (5.8.3) vanessa; urgency=medium

  [ Michael Webster ]
  * Bump debhelper version.
  * automation: Remove multi-user.target hooks.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 15:03:28 +0200

mintupdate (5.8.2) una; urgency=medium

  * Remove support for AppIndicator

 -- Clement Lefebvre <clem@macbook>  Thu, 13 Jan 2022 16:05:56 +0000

mintupdate (5.8.1) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:52:57 +0000

mintupdate (5.8.0) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:41:27 +0000

mintupdate (5.7.9) una; urgency=medium

  [ Michael Webster ]
  * Work around issue with GtkWindow focus tracking after a cinnamon restart.
  * Don't restart cinnamon if no updates affected running xlets.

  [ Kyle Laker ]
  * Avoid unreachable message for non-HTTP mirrors (#701)

  [ NikoKrause ]
  * Change mintupdate-error-symbolic icon (#704)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Nov 2021 11:00:07 +0000

mintupdate (5.7.8) uma; urgency=medium

  * Depend on gir1.2-notify-0.7

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jul 2021 09:50:03 +0100

mintupdate (5.7.7) uma; urgency=medium

  * Fix crash when APT sources are corrupt
  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Jun 2021 12:01:05 +0100

mintupdate (5.7.6) uma; urgency=medium

  * Replace present() with present_with_time()

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 20:12:52 +0100

mintupdate (5.7.5) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:28:54 +0100

mintupdate (5.7.4) uma; urgency=medium

  [ Eric ]
  * Fixed #656: upgrade warnings checkbox now works as expected

  [ agent-redd ]
  * Bugfix for "CVE Tracker" Link

  [ Thomas Uhle ]
  * Packaging: Adapt dependencies to reflect the switch from cron to systemd timers

  [ Clement Lefebvre ]
  * mintupdate-cli: Update description for install-recommends
  * Record the last time the apply-updates button was pressed
  * Depecations: Replace parser.unescape with html.unescape
  * Present the window if the welcome screen needs to be acknowledged
  * Remove unnecessary variable
  * Simplify refresh thread
  * Add tests for various cases
  * Fix insensitive update button in self-update case
  * Simplify refresh thread
  * Add a test case for the apt policy
  * Refactor code around mint layer detection
  * test: Fix /lib copy call on merged systems
  * Keep track of updates over time
  * Notify user when updates are too old
  * Add a setting to disable notifications
  * Improve notification system
  * Fix exception handling

  [ Butterfly ]
  * Always mark Chromium updates as security updates (#664)

  [ Clement Lefebvre ]
  * Fix a regression in previous commits
  * Notifications: Fix i18n with ngettext

  [ Michael Webster ]
  * mintUpdate.py: Fix status icon activation.

  [ Clement Lefebvre ]
  * Add support for Cinnamon spices (#670)

  [ Michael Webster ]
  * mintUpdate.py: Set the transient-for property on the preferences window so it stays on top of and visible with the main window.

  [ johanw ]
  * No Updates without Power Supply
  * Fixed some small bugs

  [ Michael Webster ]
  * mintUpdate.py: If the upgrade gets aborted by the user, abort the cinnamon updates also.
  * Make nvidia driver updates require a reboot. Don't restart cinnamon if a reboot is neeed.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Jun 2021 11:53:32 +0100

mintupdate (5.7.3) ulyssa; urgency=medium

  * rel_upgrade_root: Handle package additions/removals

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Jan 2021 13:13:06 +0000

mintupdate (5.7.2) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 16:48:27 +0000

mintupdate (5.7.1) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:00:12 +0000

mintupdate (5.7.0) ulyssa; urgency=medium

  [ Michael Webster ]
  * mintUpdate.py: Disable toolbar buttons when there are no updates available.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 16:41:24 +0000

mintupdate (5.6.9) ulyana; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 11:51:40 +0100

mintupdate (5.6.8) ulyana; urgency=medium

  * Simplify APT Cache Monitor

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jun 2020 17:09:23 +0100

mintupdate (5.6.7) ulyana; urgency=medium

  [ Butterfly ]
  * mintUpdate.py: Fixes #623 (#625)

  [ Clement Lefebvre ]
  * l10n: Set gettext and locale properly

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 11:22:47 +0100

mintupdate (5.6.6) ulyana; urgency=medium

  [ felipecespedes ]
  * Show right description for grouped updates
  * avoid the try-except block for validating package in the cache

  [ NikoKrause ]
  * Change "Reboot required" icon in infobar

  [ Clement Lefebvre ]
  * tests: Remove call to obsolete get_eol_status()
  * CI: Target Mint 20
  * Revert "avoid the try-except block for validating package in the cache"
  * Revert "Show right description for grouped updates"

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 15:14:42 +0100

mintupdate (5.6.5) ulyana; urgency=medium

  * l10n: Generate files



=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  ${misc:Depends},
  lsb-release,
  apt,
- cron,
  distro-info-data,
  psmisc,
  python3-apt,
@@ -22,10 +21,11 @@
  python3-setproctitle,
  python3-xapp (>= 1.6),
  synaptic,
+ systemd,
  mint-mirrors,
  mint-upgrade-info,
  python3-xapp (>= 1.0.1),
- gir1.2-appindicator3-0.1,
+ gir1.2-notify-0.7,
  gir1.2-xapp-1.0
 Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
 Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce

## mintupdate 5.8.8

=== debian/changelog ===
mintupdate (5.8.8) vanessa; urgency=medium

  [ Michael Webster ]
  * mintupdate-automation: Don't check if the automation flags exist already before adding/removing them.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:19:13 +0200

mintupdate (5.8.7) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:21:05 +0200

mintupdate (5.8.6) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2022 16:00:29 +0200

mintupdate (5.8.5) vanessa; urgency=medium

  [ Michael Webster ]
  * automation: Don't rely solely on systemd behavior for enabling/ (#737)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Jun 2022 08:49:13 +0200

## mintupdate 5.9.8

=== debian/changelog ===
mintupdate (5.9.8) vera; urgency=medium

  [ Michael Webster ]
  * mintupdate-launcher: Purge unused and un-pinned flatpak runtimes even if auto-update is disabled.
  * mintupdate-launcher: Install a new matching flatpak at startup even if automatic updates are disabled.
  * Fix interactive search in the main treeview and update history.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Apr 2023 13:00:28 +0100

mintupdate (5.9.7) vera; urgency=medium

  [ Michael Webster ]
  * flatpak worker: Check task.transaction before processing updates, call Gtk.main_quit on the main loop.
  * Remove unused .circleci folder.
  * Make sure all Gtk calls during the refresh and install threads are guarded by Gdk.threads_enter/leave.
  * flatpaks: See if any flatpaks are actually installed before bothering to check for updates.

  [ hduelme ]
  * fix typo causing potential type error (#785)

  [ Tibladar ]
  * Update 'CVE Tracker' URL (#773)
  * Update URLs to HTTPS where applicable (#774)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 11:40:09 +0000

mintupdate (5.9.6) vera; urgency=medium

  [ Michael Webster ]
  * mintupdate: Use a C long type for the update size column.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Dec 2022 22:22:49 +0000

mintupdate (5.9.5) vera; urgency=medium

  [ Michael Webster ]
  * Add workflow for actions.
  * build.yml - missing comma.
  * flatpak-update-worker: don't initialize the installer twice.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Dec 2022 15:08:11 +0000

mintupdate (5.9.4) vera; urgency=medium

  [ Michael Webster ]
  * Break the flatpak update work into a separate process.
  * Clean up some things

  [ Clement Lefebvre ]
  * Fix some exception types

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 17 Dec 2022 13:38:14 +0000

mintupdate (5.9.3) vera; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:10:39 +0000

mintupdate (5.9.2) vera; urgency=medium

  [ Michael Webster ]
  * Make sure to always use the proper flatpak symbolic icon.

  [ Tibladar ]
  * Add size support for Flatpak and Spices (#775)

  [ Michael Webster ]
  * Show flatpak updates in the update history.
  * flatpaks: Fix missing argument for specifying a remote.
  * Give refresh, install and flatpak threads names.
  * flatpaks: Use the existing cache, only rebuild it during a full refresh (background or user-initiated) or if it doesn't exist.
  * Bump mint-common version.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Dec 2022 12:55:30 +0000

mintupdate (5.9.1) vera; urgency=medium

  [ Michael Webster ]
  * Let the flatpak updater specify a remote when looking for package information.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:21:35 +0000

mintupdate (5.9.0) vera; urgency=medium

  [ Michael Webster ]
  * Selective flatpak updates. (#703)

  [ Clement Lefebvre ]
  * Depend on mint-common 2.2.0
  * Packaging: Remove obsolete conflicts/replaces

  [ Michael Webster ]
  * flatpak automatic updates: bypass system/user prompt if a user installation exists.
  * Fix description tab contents for flatpaks, add a default summary for runtimes.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 16:26:46 +0000

mintupdate (5.8.9) vanessa; urgency=medium

  * Adapt to new PPA url

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Sep 2022 13:59:17 +0100

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,11 @@
  python3-xapp (>= 1.6),
  synaptic,
  systemd,
+ mint-common (>= 2.2.4),
  mint-mirrors,
  mint-upgrade-info,
  python3-xapp (>= 1.0.1),
  gir1.2-notify-0.7,
  gir1.2-xapp-1.0
-Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
-Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
 Description: The Linux Mint Update Manager
  Helps installing security updates and new versions of packages.

## mintupdate 6.0.0

=== debian/changelog ===
mintupdate (6.0.0) victoria; urgency=medium

  [ Michael Webster ]
  * mintupdate-launcher: Purge unused and un-pinned flatpak runtimes even if auto-update is disabled.
  * mintupdate-launcher: Install a new matching flatpak at startup even if automatic updates are disabled.

  [ hduelme ]
  * add missing variable causing potential type error (#799)
  * simplify boolean expressions (#797)

  [ Michael Webster ]
  * Fix interactive search in the main treeview and update history.

  [ hduelme ]
  * remove unused variables (#802)

  [ Michael Webster ]
  * Re-save preferences.ui for newer Gtk.
  * Add settings to configure Cinnamon and Flatpak support.

  [ hduelme ]
  * add type hints to get_days_since functions (#798)
  *  replace equality None check with identity None check (#804)

  [ Michael Webster ]
  * spices: Don't stop updating after encountering an active spice.
  * Inhibit power management during ui-based refreshes and installs.

  [ Clement Lefebvre ]
  * Check kernel version before recommending a restart
  * Self-updates: Show pkg names and versions

  [ Toshayo ]
  * Added mintupdate style class to the window for easier theming (#815)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 Jun 2023 11:40:35 +0100

## mintupdate 6.0.1

=== debian/changelog ===
mintupdate (6.0.1) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 11:48:26 +0100

## mintupdate 6.0.2

=== debian/changelog ===
mintupdate (6.0.2) victoria; urgency=medium

  * kernelwindow: Fix l10n

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2023 13:02:39 +0200

## mintupdate 6.0.3

=== debian/changelog ===
mintupdate (6.0.3) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:04:43 +0200

## mintupdate 6.0.4

=== debian/changelog ===
mintupdate (6.0.4) faye; urgency=medium

  [ Michael Webster ]
  * Maintain a useful height for the details pane when using a low- resolution monitor.

  [ Anatoly Bashmakov ]
  * fix freeze, bug 833 (#834)

  [ Michael Webster ]
  * mintUpdate.py: Use xapp.os.get_os_release_info() instead of checking the lsb_release command.

  [ Clement Lefebvre ]
  * Simplify LMDE check
  * Simplify mirror identification
  * UI: Fix install button icon

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Sep 2023 09:56:25 +0100

## mintupdate 6.0.5

=== debian/changelog ===
mintupdate (6.0.5) faye; urgency=medium

  [ Michael Webster ]
  * Fix install button icon name.
  * Use platform.version() to check the currently active kernel in LMDE.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Sep 2023 09:37:33 +0100

## mintupdate 6.0.6

=== debian/changelog ===
mintupdate (6.0.6) virginia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:05:54 +0000

## mintupdate 6.0.7

=== debian/changelog ===
mintupdate (6.0.7) virginia; urgency=medium

  * Cinnamon spices: Identify Nemo actions
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:43:29 +0000

## mintupdate 6.0.8

=== debian/changelog ===
mintupdate (6.0.8) virginia; urgency=medium

  * Don't rely on newly introduced constant from Cinnamon 6.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Jan 2024 15:53:58 +0000

## mintupdate 6.0.9

=== debian/changelog ===
mintupdate (6.0.9) virginia; urgency=medium

  * rel_upgrade.py: Simplify rel notes URL

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Jan 2024 11:37:39 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  mint-common (>= 2.2.4),
  mint-mirrors,
  mint-upgrade-info,
- python3-xapp (>= 1.0.1),
  gir1.2-notify-0.7,
  gir1.2-xapp-1.0
 Description: The Linux Mint Update Manager

## mintupdate 6.1.0

=== debian/changelog ===
mintupdate (6.1.0) wilma; urgency=medium

  [ Michael Webster ]
  * Only try to pass window ids to synaptic in an x11 session.

  [ Clement Lefebvre ]
  * Include potential downgrades

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Feb 2024 17:08:02 +0000

## mintupdate 6.1.1

=== debian/changelog ===
mintupdate (6.1.1) wilma; urgency=medium

  [ Michael Webster ]
  * mintUpdate.py: Re-set the type-to-search column any time the model is replaced.

  [ Clement Lefebvre ]
  * checkAPT: Don't use upstream descriptions for snap pkgs

  [ LinuxOnTheDesktop ]
  * Update mintUpdate.py (#874)

  [ Francesco Saltori ]
  * Fix changelog retrieval for linux and linux-hwe kernel updates (#851)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 11:52:38 +0100

## mintupdate 6.1.2

=== debian/changelog ===
mintupdate (6.1.2) wilma; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:49:24 +0100

## mintupdate 6.1.3

=== debian/changelog ===
mintupdate (6.1.3) wilma; urgency=medium

  [ Michael Webster ]
  * Always initialize appstream_version, remove hacky description reformatting.
  * Classes: Small fix to adapt to linuxmint/mintcommon@8ec5d4f8f.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jul 2024 16:03:22 +0100

## mintupdate 6.1.4

=== debian/changelog ===
mintupdate (6.1.4) wilma; urgency=medium

  * notebook: Name the first tab the same for all update types

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 18 Jul 2024 16:38:29 +0100

## mintupdate 6.1.5

=== debian/changelog ===
mintupdate (6.1.5) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:35:51 +0100

## mintupdate 7.0.0

=== debian/changelog ===
mintupdate (7.0.0) xia; urgency=medium

  [ Clement Lefebvre ]
  * multithreading: Bring decorators
  * multithreading: Use a flag for window status
  * multithreading: Refactor status messages
  * multithreading: Externalize refresh/busy UI functions
  * multithreading: Refactor error messages and infobar
  * multithreading: Refactor displaying updates and notifications
  * multithreading: Refactor changelog retrieval
  * multithreading: Refactor automatic refresh
  * multithreading: Refactor logger
  * multithreading: Refactor APT cache monitor
  * multithreading: Refactor refresh thread
  * multithreading: Start refactoring install thread
  * multithreading: Continue refactoring install and move to aptkit
  * multithreading: Clean up refresh and switch to aptkit
  * multithread: Clean up install code
  * refresh: process errors first, improve code structure
  * refresh: use multiprocess module
  * checkAPT: Be more precise when picking up translations
  * DEBUG: Don't refresh cache (delete this before merging)
  * Glade: Remove unnecessary ids
  * Glade: Assign widgets to ui_ variables
  * Glade: Let the ui file handle the stack
  * multithreading: Move decorators to Classes.py
  * window: Resize before show()
  * kernelwindow: refactor threading code
  * rel_upgrade: Switch to aptkit
  * Remove dependency on synaptic
  * Remove help
  * Remove obsolete debug/todo lines
  * debian/control: Add aptkit

  [ Michael Webster ]
  * papercuts: Don't operate on the window if it hasn't been realized, remove uninitialized variables.
  * Don't get user confirmation for flatpak updates, make sure to refresh even if only cinnamon xlets are updated.
  * Build the update list while still in the refresh thread.
  * Change back to the update list after displaying the welcome page via its menu entry.
  * Improve/cleanup error handling for flatpak and cinnamon updates.
  * Remove flatpak update confirmation prompt.
  * Don't terminate the flatpak helper during fetch_updates - this is called immediately after the update thread finishes, and will prevent the flatpak error dialog from displaying.
  * flatpak-update-worker: Use a translated window title for the error dialog.
  * Refresh the update list when mintsources is closed, if it's launched from the menu.

  [ Clement Lefebvre ]
  * aptkit: Remove cancelled callback

  [ Michael Webster ]
  * Fix logging/history for flatpak and cinnamon updates.
  * Adapt to flatpak installer changes, improve flatpak presentation.

  [ Clement Lefebvre ]
  * Fix regression in 1ce2c7ec626502da9e160c6d0898852f50dbcad9
  * mirror_check: Increase connection timeout
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 10:43:27 +0000

## mintupdate 7.0.1

=== debian/changelog ===
mintupdate (7.0.1) xia; urgency=medium

  * inhibit: Fix inhibitor name

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 01 Dec 2024 15:21:05 +0000

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,14 @@
  ${misc:Depends},
  lsb-release,
  apt,
+ aptkit,
  distro-info-data,
  psmisc,
  python3-apt,
+ python3-multiprocess,
  python3-pycurl,
  python3-setproctitle,
  python3-xapp (>= 1.6),
- synaptic,
  systemd,
  mint-common (>= 2.2.4),
  mint-mirrors,

## mintupdate 7.0.2

=== debian/changelog ===
mintupdate (7.0.2) xia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:47:29 +0000

## mintupdate 7.0.4

=== debian/changelog ===
mintupdate (7.0.4) xia; urgency=medium

  * tests: Use a class attribute to store the test mode
  * tests: Don't check flatpak/cinnamon in test mode

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Dec 2024 11:19:29 +0000

mintupdate (7.0.3) xia; urgency=medium

  [ Michael Webster ]
  * flatpak-update-worker.py: Use installer.init() if init_sync() fails, instead of our own refresh method.
  * Update test-cases to work with multiprocess checkAPT. (#907)

  [ Clement Lefebvre ]
  * Depend on the latest mint-common

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Dec 2024 10:46:35 +0000

## mintupdate 7.0.5

=== debian/changelog ===
mintupdate (7.0.5) xia; urgency=medium

  * aptkit: Fix UI freeze when the transaction is cancelled

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Dec 2024 23:49:26 +0000

## mintupdate 7.0.6

=== debian/changelog ===
mintupdate (7.0.6) xia; urgency=medium

  [ Clement Lefebvre ]
  * logs: Fix typo
  * l10n: Update translations

  [ Vitaly Novichkov ]
  * kernelwindow.py: Fixed runtime error when kernel type enabled (#922)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Feb 2025 18:39:41 +0000

## mintupdate 7.0.7

=== debian/changelog ===
mintupdate (7.0.7) xia; urgency=medium

  [ Michael Webster ]
  * mintUpdate.py: Fix hidden state tracking.
  * kernelwindow.py: Fix callback arguments.

  [ Timothy Feierabend ]
  * add padding to help/continue button box (#914)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Mar 2025 10:11:31 +0000

## mintupdate 7.0.7.1

=== debian/changelog ===
mintupdate (7.0.7.1) xia; urgency=medium

  * rel_upgrade: Fix small issues

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Sep 2025 14:49:58 +0200

## mintupdate 7.0.8

=== debian/changelog ===
mintupdate (7.0.8) zara; urgency=medium

  [ Timothy Feierabend ]
  * Add system reboot ability to mintUpdate when reboot is needed (#905)

  [ Serhan Tutar ]
  * Check multiple origins for package type (#953)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 28 Jul 2025 12:48:51 +0200

## mintupdate 7.0.9

=== debian/changelog ===
mintupdate (7.0.9) zara; urgency=medium

  [ Michael Webster ]
  * mintUpdate.py: Remove reboot_required flag for a canceled apt operation.
  * kernelWindow.py: Don't allow multiple refresh threads to run. (Closes: #962)

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 11:53:00 +0200

## mintupdate 7.1.0

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/.po//' | sed 's/mintupdate-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/mintupdate.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

=== debian/changelog ===
mintupdate (7.1.0) zara; urgency=medium

  [ Serhan Tutar ]
  * Purge residual `linux-tools-*` kernel packages (#963)

  [ Michael Webster ]
  * mintUpdate.py: Show window as busy immediately upon starting an update operation.
  * Don't show the source package for linux-libc-dev when it's installed on its own.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 17:51:34 +0200

## mintupdate 7.1.1

=== debian/changelog ===
mintupdate (7.1.1) zara; urgency=medium

  * rel_upgrade: Fix small issues

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Sep 2025 14:42:40 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-setproctitle,
  python3-xapp (>= 1.6),
  systemd,
- mint-common (>= 2.2.4),
+ mint-common (>= 2.4.2),
  mint-mirrors,
  mint-upgrade-info,
  gir1.2-notify-0.7,

## mintupdate 7.1.2

=== debian/changelog ===
mintupdate (7.1.2) zena; urgency=medium

  [ Clement Lefebvre ]
  * Switch to XApp symbolic icons
  * Switch to XSI

  [ Michael Webster ]
  * makepot: Remove --join-existing flag and format for readability.

  [ Serhan Tutar ]
  * Warn from system tray when reboot is required (#991)

  [ Christer Fletcher ]
  * Improve size_to_string (#990)

  [ Peu255 ]
  * Change user-facing text from 'Reboot' to 'Restart' for consistency with Cinnamon (#993)

  [ Serhan Tutar ]
  * Resolve 'reboot' vs 'restart' discrepancy from newly merged changes (#1000)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Dec 2025 14:45:24 +0000

## mintupdate 7.1.3

=== debian/changelog ===
mintupdate (7.1.3) zena; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 16:58:12 +0000

## mintupdate 7.1.4

=== debian/changelog ===
mintupdate (7.1.4) zena; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:12:34 +0000
